Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
[Java] Class JavaStubGenerator

    java.lang.Object
      org.codehaus.groovy.tools.javac.JavaStubGenerator

    public class JavaStubGenerator
    extends Object

Constructor Summary
`JavaStubGenerator(File outputPath, boolean requireSuperResolved, boolean java5)`
`JavaStubGenerator(File outputPath)`

Method Summary
`void` | `clean()`
`void` | `generateClass(ClassNode classNode)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### JavaStubGenerator

    public JavaStubGenerator(File outputPath, boolean requireSuperResolved, boolean java5)

### JavaStubGenerator

    public JavaStubGenerator(File outputPath)

Method Detail

### clean

    public void clean()

### generateClass

    public void generateClass(ClassNode classNode)

Copyright © 2003-2010 The Codehaus. All rights reserved.